.results {
  display: grid;
  column-gap: 14px;
  row-gap: 14px;
  grid-template-columns: repeat(auto-fill, minmax(400px, 400px));
  margin-top: 50px;
  justify-content: space-around;
}

.employee-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 columns with equal width */
  grid-auto-rows: minmax(200px, auto); /* Each row has a minimum height of 200px but can grow as needed */
  grid-gap: 20px; /* Space between columns and rows */
  justify-content: center; /* Center the grid */
}

input[type="text"] {
  border: solid 1px var(--primary-color);
  padding: 10px;
  border-radius: 8px;
  margin-right: 4px;
  display: inline-block;
  width: 30%;
}

button {
  padding: 10px;
  border: solid 1px #000000; /* Black border */
  background-color: #000000; /* Black background */
  color: white; /* White text */
  border-radius: 8px;
  cursor: pointer; /* Changes the mouse cursor to a pointer on hover */
  transition: background-color 0.3s ease; /* Smooth transition for hover effect */
}

button:hover {
  background-color: #333333; /* Slightly lighter black for hover effect */
}

@media (min-width: 500px) and (max-width: 768px) {
  .results {
      grid-template-columns: repeat(2, 1fr);
  }
  input[type="text"] {
      width: 70%;
  }
}
@media (max-width: 499px) {
  .results {
      grid-template-columns: 1fr;
  }
}

.section-container {
  display: flex;
  justify-content: space-between; /* Aligns children (form and button) to the sides */
  align-items: center; /* Vertically centers the children */
}

.form-container {
  display: flex;
  justify-content: space-between; /* Aligns children (input and search button) to the sides */
  flex-grow: 1; /* Allows the form to take up all available horizontal space */
}

.form-container input[type="text"] {
  flex-grow: 1; /* Allows the input to grow and fill available space */
  margin-right: 8px; /* Adds some space between the input and the search button */
}

.primary {
  margin-right: 16px; /* Adjust the value as needed */
}

/* Or if you are adjusting the 'TEST ADD' button, you would add margin-left */
.addEntity {
  margin-left: 16px; /* Adjust the value as needed */
}

.numbersContainer {
  display: flex;
  align-items: start;
}

.pagingNumbers {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
}

.active {
  color: red;
}
